Bug 983065 - Metamer: rich:collapsibleSubTable don't work with rich:dataScroller
Metamer: rich:collapsibleSubTable don't work with rich:dataScroller
Status: CLOSED DEFERRED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: PortletBridge (Show other bugs)
6.1.0
x86_64 Linux
unspecified Severity unspecified
: ---
: 6.1.0
Assigned To: Ken Finnigan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 08:13 EDT by Petr Mensik
Modified: 2015-07-19 21:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The rich:dataScroller component does not work when used in conjunction with rich:collapsibleSubTable. There is no workaround to this issue.
Story Points: ---
Clone Of:
Environment:
Fedora 18, Firefox 22
Last Closed: 2013-07-11 03:36:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RF-12767 Major Open Metamer: rich:collapsibleSubTable don't work with rich:dataScroller 2014-03-05 02:42:31 EST

  None (edit)
Description Petr Mensik 2013-07-10 08:13:49 EDT
As title suggested, data scrolling is not working in rich:collapsibleSubTable. You can move to the second page but after that the scroll panel gets frozen and you can move only to first page again. Same thing occurs of you click for example to page 5, you can only move backwards.

Steps to reproduce

1. Deploy metamer to JBoss AS 7
2. http://localhost:8080/metamer/faces/components/richCollapsibleSubTable/scroller.xhtml
3. Try to move between pages with panel
Comment 3 Petr Mensik 2013-07-10 08:39:10 EDT
No, this is a bug in RichFaces so it also persists in PBR. And target release for the fix is RichFaces 5 (which are going to be released at the end of this year) so we should mark this as a known issue already.
Comment 4 Thomas Heute 2013-07-10 08:44:28 EDT
RichFaces 5 will unlikely be supported

Note You need to log in before you can comment on or make changes to this bug.